INTERFACE
SUBROUTINE SLCOMM2A(KASLB1,KSLPROCS,KSLRPT,&
 & KSLSPT,KSLSENDPOS,KSLRECVPOS,KSENDPTR,KRECVPTR,KSLCOMM,&
 & KFIXFLD,LDEXCLUDE,KMASK1,KMASK2,KMASK2A,KMASK3,&
 & KFLDSLB,LDINC,PB1A,KFIELD_TYPE,LDSLCOMM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KSLPROCS
INTEGER(KIND=JPIM),INTENT(IN) :: KSLRPT
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSPT
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSLB
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSENDPOS(KSLSPT)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLRECVPOS(KSLRPT)
INTEGER(KIND=JPIM),INTENT(IN) :: KSENDPTR(KSLPROCS+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KRECVPTR(KSLPROCS+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLCOMM(KSLPROCS)
INTEGER(KIND=JPIM),INTENT(IN) :: KFIXFLD(2)
LOGICAL ,INTENT(IN) :: LDEXCLUDE
INTEGER(KIND=JPIM) :: KMASK1(KASLB1+4)
INTEGER(KIND=JPIM),INTENT(IN) :: KMASK2(KASLB1+4)
INTEGER(KIND=JPIM),INTENT(IN) :: KMASK2A(KASLB1+4)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMASK3(KASLB1+4)
LOGICAL ,INTENT(IN) :: LDINC
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1A(KASLB1,KFLDSLB)
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD_TYPE(KFLDSLB)
LOGICAL,OPTIONAL ,INTENT(INOUT) :: LDSLCOMM(KSLPROCS)
END SUBROUTINE SLCOMM2A
END INTERFACE
